# Class MocFitsIO

java.lang.Object
healpix.essentials.MocFitsIO

public class MocFitsIO extends Object
Moc FITS I/O routines.

## Constructor Summary

Constructors
Constructor
Description
`MocFitsIO()`

## Method Summary

Modifier and Type
Method
Description
`static Moc`
`mocFromFits(InputStream inp)`
Converts the contents of a FITS input stream to a MOC.
`static Moc`
`mocFromFits(String filename)`
Converts the contents of a FITS file to a MOC.
`static void`
`mocToFits(Moc moc, OutputStream out)`
Writes the provided Moc to the stream in FITS format.
`static void`
`mocToFits(Moc moc, String filename)`
Writes the provided Moc to the specified file in FITS format.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MocFitsIO

public MocFitsIO()

## Method Details

### mocFromFits

public static Moc mocFromFits(InputStream inp) throws Exception
Converts the contents of a FITS input stream to a MOC.

Throws:
  `Exception`

### mocFromFits

public static Moc mocFromFits(String filename) throws Exception
Converts the contents of a FITS file to a MOC.

Throws:
  `Exception`

### mocToFits

public static void mocToFits(Moc moc, OutputStream out) throws Exception
Writes the provided Moc to the stream in FITS format.

Throws:
  `Exception`

### mocToFits

public static void mocToFits(Moc moc, String filename) throws Exception
Writes the provided Moc to the specified file in FITS format.

Throws:
  `Exception`